#ifndef SetComplexComParameter_H
#define SetComplexComParameter_H

#include <Command.h>

#include "ComChannel.h"
#include "DParameter.h"
namespace ProtoGenWrapper
{
	class SetComplexComParameter : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		SetComplexComParameter(const ComChannel comChannel, const DParameter param);
		SetComplexComParameter(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(ComChannel& comChannel, DParameter& param);

		static int GetCommandType();
	};
}
#endif // SetComplexComParameter_H
